Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.sso.cas
Class CASAuthenticationValve

    java.lang.Object
      org.apache.catalina.valves.ValveBase
          org.jboss.portal.identity.sso.cas.CASAuthenticationValve

All Implemented Interfaces:
  javax.management.MBeanRegistration, org.apache.catalina.Contained, org.apache.catalina.Valve

    public class CASAuthenticationValve

extends org.apache.catalina.valves.ValveBase

Field Summary
`static java.lang.String` | `AUTHORIZED_PROXY_INIT_PARAM` The name of the filter initialization parameter the value of which must be a whitespace delimited list of services (ProxyTicketReceptors) authorized to proxy authentication to the service filtered by this Filter.
`static java.lang.String` | `CAS_FILTER_RECEIPT` Session attribute in which the CASReceipt is stored.
`static java.lang.String` | `CAS_FILTER_USER` Session attribute in which the username is stored.
`static java.lang.String` | `GATEWAY_INIT_PARAM` The name of the filter initialization parameter the value of which is the value the Filter should send for the gateway parameter on the CAS login request.
`static java.lang.String` | `LOGIN_INIT_PARAM` The name of the filter initialization parameter the value of which should be the https: address of the CAS Login servlet.
`static java.lang.String` | `PROXY_CALLBACK_INIT_PARAM` The name of the filter initialization parameter the value of which must be the https: URL to which CAS should send Proxy Granting Tickets when this filter validates tickets.
`static java.lang.String` | `RENEW_INIT_PARAM` The name of the filter initialization parameter the value of which must be the String that should be sent as the "renew" parameter on the request for login and validation.
`static java.lang.String` | `SERVERNAME_INIT_PARAM` The name of the filter initialization parameter the vlaue of which must be the server name, e.g.
`static java.lang.String` | `SERVICE_INIT_PARAM` The name of the filter initialization parameter the value of which must be the address of the service this filter is filtering.
`static java.lang.String` | `VALIDATE_INIT_PARAM` The name of the filter initialization parameter the value of which must be the https: address of the CAS Validate servlet.
`static java.lang.String` | `WRAP_REQUESTS_INIT_PARAM` The name of the filter initialization parameter the value of which indicates whether this filter should wrap requests to expose the authenticated username.

Fields inherited from class org.apache.catalina.valves.ValveBase
`container, controller, debug, domain, info, mserver, oname, sm`

Constructor Summary
`CASAuthenticationValve()`

Method Summary
`java.lang.String` | `getAuthType()`
`java.lang.String` | `getCasLogin()`
`java.lang.String` | `getCasLogout()`
`java.lang.String` | `getCasServerName()`
`java.lang.String` | `getCasServiceUrl()`
`java.lang.String` | `getCasValidate()`
`java.util.Set` | `getSecuredUrlPatterns()`
`void` | `invoke(org.apache.catalina.connector.Request request, org.apache.catalina.connector.Response response)`
`void` | `setAuthType(java.lang.String authType)`
`void` | `setCasLogin(java.lang.String casLogin)`
`void` | `setCasLogout(java.lang.String casLogout)`
`void` | `setCasServerName(java.lang.String casServerName)`
`void` | `setCasServiceUrl(java.lang.String casServiceUrl)`
`void` | `setCasValidate(java.lang.String casValidate)`

Methods inherited from class org.apache.catalina.valves.ValveBase
`createObjectName, getContainer, getContainerName, getController, getDebug, getDomain, getInfo, getObjectName, getParentName, invoke, postDeregister, postRegister, preDeregister, preRegister, setContainer, setController, setDebug, setObjectName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOGIN_INIT_PARAM

    public static final java.lang.String LOGIN_INIT_PARAM

  The name of the filter initialization parameter the value of which should be the https: address of the CAS Login servlet. Optional parameter, but required for successful redirection of unauthenticated requests to authentication.

  See Also:
    Constant Field Values

### VALIDATE_INIT_PARAM

    public static final java.lang.String VALIDATE_INIT_PARAM

  The name of the filter initialization parameter the value of which must be the https: address of the CAS Validate servlet. Must be a CAS 2.0 validate servlet (CAS 1.0 non-XML won't suffice). Required parameter.

  See Also:
    Constant Field Values

### SERVICE_INIT_PARAM

    public static final java.lang.String SERVICE_INIT_PARAM

  The name of the filter initialization parameter the value of which must be the address of the service this filter is filtering. The filter will use this as the service parameter for CAS login and validation. Either this parameter or SERVERNAME_INIT_PARAM must be set.

  See Also:
    Constant Field Values

### SERVERNAME_INIT_PARAM

    public static final java.lang.String SERVERNAME_INIT_PARAM

  The name of the filter initialization parameter the vlaue of which must be the server name, e.g. www.yale.edu , of the service this filter is filtering. The filter will construct from this name and the request the full service parameter for CAS login and validation.

  See Also:
    Constant Field Values

### RENEW_INIT_PARAM

    public static final java.lang.String RENEW_INIT_PARAM

  The name of the filter initialization parameter the value of which must be the String that should be sent as the "renew" parameter on the request for login and validation. This should either be "true" or not be set. It is mutually exclusive with GATEWAY.

  See Also:
    Constant Field Values

### AUTHORIZED_PROXY_INIT_PARAM

    public static final java.lang.String AUTHORIZED_PROXY_INIT_PARAM

  The name of the filter initialization parameter the value of which must be a whitespace delimited list of services (ProxyTicketReceptors) authorized to proxy authentication to the service filtered by this Filter. These must be https: URLs. This parameter is optional - not setting it results in no proxy tickets being acceptable.

  See Also:
    Constant Field Values

### PROXY_CALLBACK_INIT_PARAM

    public static final java.lang.String PROXY_CALLBACK_INIT_PARAM

  The name of the filter initialization parameter the value of which must be the https: URL to which CAS should send Proxy Granting Tickets when this filter validates tickets.

  See Also:
    Constant Field Values

### WRAP_REQUESTS_INIT_PARAM

    public static final java.lang.String WRAP_REQUESTS_INIT_PARAM

  The name of the filter initialization parameter the value of which indicates whether this filter should wrap requests to expose the authenticated username.

  See Also:
    Constant Field Values

### GATEWAY_INIT_PARAM

    public static final java.lang.String GATEWAY_INIT_PARAM

  The name of the filter initialization parameter the value of which is the value the Filter should send for the gateway parameter on the CAS login request.

  See Also:
    Constant Field Values

### CAS_FILTER_USER

    public static final java.lang.String CAS_FILTER_USER

  Session attribute in which the username is stored.

  See Also:
    Constant Field Values

### CAS_FILTER_RECEIPT

    public static final java.lang.String CAS_FILTER_RECEIPT

  Session attribute in which the CASReceipt is stored.

  See Also:
    Constant Field Values

Constructor Detail

### CASAuthenticationValve

    public CASAuthenticationValve()

Method Detail

### getCasLogin

    public java.lang.String getCasLogin()

  Returns:

### setCasLogin

    public void setCasLogin(java.lang.String casLogin)

  Parameters:
    `casLogin` -

### getCasLogout

    public java.lang.String getCasLogout()

  Returns:

### setCasLogout

    public void setCasLogout(java.lang.String casLogout)

  Parameters:
    `casLogout` -

### getCasServerName

    public java.lang.String getCasServerName()

  Returns:

### setCasServerName

    public void setCasServerName(java.lang.String casServerName)

  Parameters:
    `casServerName` -

### getCasValidate

    public java.lang.String getCasValidate()

  Returns:

### setCasValidate

    public void setCasValidate(java.lang.String casValidate)

  Parameters:
    `casValidate` -

### getAuthType

    public java.lang.String getAuthType()

  Returns:

### setAuthType

    public void setAuthType(java.lang.String authType)

  Parameters:
    `authType` -

### getCasServiceUrl

    public java.lang.String getCasServiceUrl()

  Returns:

### setCasServiceUrl

    public void setCasServiceUrl(java.lang.String casServiceUrl)

  Parameters:
    `casServiceUrl` -

### invoke

    public void invoke(org.apache.catalina.connector.Request request,
                       org.apache.catalina.connector.Response response)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### getSecuredUrlPatterns

    public java.util.Set getSecuredUrlPatterns()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD